package com.bonus.material.plan.mapper;

import java.util.List;
import com.bonus.material.plan.domain.PlanNeedInfo;

/**
 * 年度计划Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface PlanNeedInfoMapper {
    /**
     * 查询年度计划
     * 
     * @param planId 年度计划主键
     * @return 年度计划
     */
    public PlanNeedInfo selectPlanNeedInfoByPlanId(Long planId);

    /**
     * 查询年度计划列表
     * 
     * @param planNeedInfo 年度计划
     * @return 年度计划集合
     */
    public List<PlanNeedInfo> selectPlanNeedInfoList(PlanNeedInfo planNeedInfo);

    /**
     * 新增年度计划
     * 
     * @param planNeedInfo 年度计划
     * @return 结果
     */
    public int insertPlanNeedInfo(PlanNeedInfo planNeedInfo);

    /**
     * 修改年度计划
     * 
     * @param planNeedInfo 年度计划
     * @return 结果
     */
    public int updatePlanNeedInfo(PlanNeedInfo planNeedInfo);

    /**
     * 删除年度计划
     * 
     * @param planId 年度计划主键
     * @return 结果
     */
    public int deletePlanNeedInfoByPlanId(Long planId);

    /**
     * 批量删除年度计划
     * 
     * @param planIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlanNeedInfoByPlanIds(Long[] planIds);
}
